var curOpt;
var dirty = false;
var otherSide = { shown:"stored",stored:"shown" };
var allSets = new Array("links","leftphoto","leftbus","right");
var sideNames = new Array("shown","stored");

function FocusSelect(side,set){
	DeselectOthers(set);
	me = document.all[side+"_"+set];
	sel = me.selectedIndex;
	DisableAll(set);
	if (sel > -1){
		curOpt = me.options[sel];
		if (set=="links"){
			document.all.myLinkTitle.value = curOpt.text;
			document.all.myLinkURL.value = curOpt.value;
		}
		document.all[otherSide[side]+"_"+set].selectedIndex = -1;

		if (side=="stored") document.all["bless_"+set].disabled = false;
		else document.all["curse_"+set].disabled = false;

		document.all["up_"+set].disabled = false;
		document.all["dn_"+set].disabled = false;
		document.all["del_"+set].disabled = false;
		if (set=="links") ModSaveButtonText(false);
	}
	if (event) event.cancelBubble=true;
}

function DisableAll(set){
	if (set=="links") ModSaveButtonText(true);

	var btns = new Array("add","up","dn","bless","curse","del");
	for (i=0;i<btns.length;i++) if (document.all[btns[i]+"_"+set]) document.all[btns[i]+"_"+set].disabled=true;
}

function Up(){	Swap(-1) }
function Dn(){	Swap(1) }

function Swap(offset){
	dirty=true;
	sel = curOpt.parentElement;
	idx = sel.selectedIndex;
	if ((idx+offset)>=0 && (idx+offset)<sel.options.length){
		cur = { value: sel.options[idx+offset].value, text: sel.options[idx+offset].text };
		oth = { value: sel.options[idx].value, text: sel.options[idx].text };
		sel.options[idx+offset].value = oth.value;
		sel.options[idx+offset].text = oth.text;
		sel.options[idx].value = cur.value;
		sel.options[idx].text = cur.text;
		sel.selectedIndex += offset;
	}
	if (event) event.cancelBubble=true;
}

function Bless(set){ MoveOption('stored',set) }
function Curse(set){ MoveOption('shown',set) }

function MoveOption(fromSide,set){
	dirty = true;
	source = document.all[fromSide+"_"+set];
	dest = document.all[otherSide[fromSide]+"_"+set];
	sel = source.selectedIndex;
	if (sel > -1){
		opt = source.options[sel];
		source.options[sel] = null;
		dest.options[dest.options.length] = opt;
		FocusSelect(otherSide[fromSide],set);
	}
}

function Delete(set){
	sel = document.all["stored_"+set].selectedIndex;
	if (sel > -1) box = document.all["stored_"+set];
	else {
		sel = document.all["shown_"+set].selectedIndex;
		box = document.all["shown_"+set];
	}
	if (sel>-1 && confirm("Are you sure you want to delete this item?\r(It's OK to leave items \"stored\" for possible later use.)")){
		box.options[sel] = null;
		dirty = true;
		DeselectOthers();
	}
}

function ModSaveButtonText(isNew){
	var btn = document.all.add_links;
	if (isNew) btn.value="add new link";
	else btn.value="update link";
}

function EnableSave(){
	if (document.all.myLinkTitle.value!="" || document.all.myLinkURL.value!=""){
		document.all.add_links.disabled=false;
	}
}

function AddSave(){
	dirty = true;
	makeNew = document.all.add_links.value=="add new link";

	if (makeNew) curOpt = new Option();
	curOpt.value=document.all.myLinkURL.value;
	curOpt.text=document.all.myLinkTitle.value;
	if (makeNew){
		if (favorites.options.length<10) destBox = favorites;
		else destBox = stored;
		destBox.options[destBox.options.length] = curOpt;
	}
}

// ******************

function DeselectOthers(exceptSet){
	for (var i=0;i<allSets.length;i++){
		thisSet = allSets[i];
		if (thisSet!=exceptSet){
			DisableAll(thisSet);
			document.all["shown_"+thisSet].selectedIndex=-1;
			document.all["stored_"+thisSet].selectedIndex=-1;
		}
	}
	document.all.myLinkTitle.value="";
	document.all.myLinkURL.value="";
	if (event) event.cancelBubble=true;
}

function AlertOnUnsavedChanges(){
	alertString  = '- - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - -\r';
	alertString += 'You have made changes which have not been saved.\r';
	alertString += 'Return to the page and click "save all changes".\r';
	alertString += '- - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - -';
	if (dirty) event.returnValue = alertString;
}

FireOnDocumentClick("DeselectOthers()");
//window.onbeforeunload=AlertOnUnsavedChanges;


function RadioClick(obj){
	document.all[obj.name+"_radio"].click();
}

function CheckChange(obj){
	dirty = true;
	if (obj.value!="") RadioClick(obj);
	else {
		f = obj.form;
		bNum = obj.name.charAt(6);
		isPath = obj.name.charAt(8)=="p";
		if (isPath) evilTwin = "banner"+ bNum + "_text";
		else evilTwin = "banner"+ bNum + "_path";
		if (document.all[evilTwin].value!="") RadioClick(document.all[evilTwin]);
		else{
			document.all[obj.name+"_radio"].checked = false;
			document.all[evilTwin+"_radio"].checked = false;
		}
	}
}

function ChooseImage(targetName,category){
	open('chooseimage.asp?for='+targetName+'&category='+category,'chooseimage','width=500,height=350,directories=no,fullscreen=no,menubar=no,resizable=yes,status=no,toolbar=no,scrollbars=yes');
	if (event) event.cancelBubble=true;
}

function ApplyChoice(target,val){
	dirty = true;
	if (document.forms[0].elements[target]){
		document.forms[0].elements[target].value = val;
		document.forms[0].elements[target].click();
	} else {
		var newOpt = new Option(val.match(/[^/]+$/),val);
		sel = document.all["stored_"+target];
		len = sel.options.length;
		sel.options[len] = newOpt;
		sel.selectedIndex = len;
		FocusSelect("stored",target);
	}
}

function CheckForm(){
	if (event) event.cancelBubble=true;
	
	leftPhotos = document.all.shown_leftphoto.options.length;
	leftBusinesses = document.all.shown_leftbus.options.length;
	if (leftPhotos!=leftBusinesses){
		alert("For the left side images, the number of shown photos ("+leftPhotos+") is not equal to the number of shown business names ("+leftBusinesses+"). The two must be equal.");
		return false;
	}
	
	v = "";

	for (var i=0;i<allSets.length;i++){
		for (var j=0;j<sideNames.length;j++){
			sel = document.all[sideNames[j]+"_"+allSets[i]];
			v += '<input type="hidden" name="count_'+sel.id+'" value="'+sel.options.length+'">\r';
			for (var k=0;k<sel.options.length;k++){
				v += '<input type="hidden" name="'+sel.id+k+'_text" value="'+sel.options[k].text+'">\r';
				v += '<input type="hidden" name="'+sel.id+k+'_value" value="'+sel.options[k].value+'">\r';
			}
		}
	}

	document.all.theform.insertAdjacentHTML('afterBegin',v);

	dirty=false;
	return true;
}