function FindXY(obj){
	if (!obj) return { x:0,y:0 };
	else {
		parentXY = FindXY(obj.offsetParent);
		return {x:obj.offsetLeft+parentXY.x, y:obj.offsetTop+parentXY.y};
	}
}

function FindXYWH(obj){
	if (!obj) return { x:0, y:0, w:0, h:0 };
	else {
		objXY = FindXY(obj);
		return { x:objXY.x, y:objXY.y, w:obj.offsetWidth, h:obj.offsetHeight };
	}
}

function Intersects(a,b){
	//takes two XYWH arrays and sees whether or not the rectangular areas overlap
	return !( (a.x>(b.x+b.w)) || (b.x>(a.x+a.w)) || (a.y>(b.y+b.h)) || (b.y>(a.y+a.h)) );
}

function AlertArray(ary){
	var theArray = eval(ary);
	//spits out all the indexed and keyed values in an array (for debugging)
	var msg="";
	for (var i=0;i<theArray.length;i++) msg+=ary+"["+i+"] : "+theArray[i]+"\r";
	for (val in ary) msg+=ary+"."+val+" : "+theArray[val]+"\r";
	alert(msg);
}

// *** MULTI EVENT HANDLERS ***************************************************
var docHandlers = { click:new Array(), move:new Array() };

function HandleDocumentClick(){ CallFunctions(docHandlers.click) }
function HandleDocumentMove(){ CallFunctions(docHandlers.move) }
document.onclick=HandleDocumentClick;
document.onmousemove=HandleDocumentMove;

function CallFunctions(allFuncs){
	for (var i=0;i<allFuncs.length;i++) eval(allFuncs[i]);
}

function FireOnDocumentClick(f){ docHandlers.click[docHandlers.click.length] = f }
function FireOnDocumentMove(f){ docHandlers.move[docHandlers.move.length] = f }


// *** PAGE MENU CONTROL *******************************************************
function TogglePageMenu(closeIt){
	pm = document.all.pagemenu;
	pmc = document.all.pagemenucontrol;
	if (pm && pmc){
		if (pm.style.display!="block" && !closeIt){
			contentOffset = FindXY(document.all.contentpositioning);
			headXYWH = FindXYWH(document.all.pagemenuhead);
			pm.style.display="block";
			pm.style.pixelTop = headXYWH.y+headXYWH.h-contentOffset.y;
			pm.style.pixelLeft = headXYWH.x-(pm.offsetWidth-headXYWH.w)-contentOffset.x;
			setTimeout('PositionPageMenu()',10);
			pmc.src="images-nav/pagemenu-close.gif";
		} else {
			pm.style.display="none";
			pmc.src="images-nav/pagemenu-open.gif";
		}
	}
	event.cancelBubble="true";
}

function PositionPageMenu(){
	// because IE4 doesn't recognize offsetWidth until display:none has become
	// display:block *and* the screen has been redrawn
	contentOffset = {x:0,y:0};
//	contentOffset = FindXY(document.all.contentpositioning);
	pm = document.all.pagemenu;
	headXYWH = FindXYWH(document.all.pagemenuhead);
	pm.style.pixelTop = headXYWH.y+headXYWH.h-contentOffset.y;
	pm.style.pixelLeft = headXYWH.x-(pm.offsetWidth-headXYWH.w)-contentOffset.x;
}

FireOnDocumentClick("TogglePageMenu(true)");


// *** SUB MENU CONTROL ********************************************************
var subShowing;
var subSubShowing;

function Sub(menuID,subsub){
	var s = (subsub) ? "sub" : "";
	var sub = document.all[s+"sub_"+menuID];
	var menu = document.all[s+"m_"+menuID];
	menuXY = FindXY(menu);
	
	if (menuID=="mymarquee") sub.style.pixelLeft = menuXY.x+menu.offsetWidth-(200+12);
	else sub.style.pixelLeft = menuXY.x+menu.offsetWidth;

	sub.style.pixelTop = menuXY.y;
	if (menuID=="mymarquee") sub.style.pixelTop += 17;
	sub.style.display = "block";

	Glow(menuID,subsub);
	Assert(menuID,(subsub==true));

	if (!allSelects) FindSelects();
	if (allSelects.length>0) setTimeout('ToggleSelects("'+s+"sub_"+menuID+'",true)',10);
	
	//give time to register that sub is showing, then make sure it isn't going off the bottom
	setTimeout("VSlideSub('"+menuID+"',"+(subsub==true)+")",4);

	return true;
}

function Glow(menuID,subsub){
	var s = (subsub) ? "sub" : "";
	fullID = s+"m_"+menuID;
	var menu = document.all[fullID];

	if (menu){
		if (subsub) menu.style.backgroundColor="#84a8ca";
		else if (menuID!="departmentsites" && menuID!="mymarquee") menu.style.backgroundColor="#bed1e2";
	}
	return true;
}

function Assert(menuID,subsub){
	if (subsub) subSubShowing=menuID;
	else subShowing=menuID;
}

function VSlideSub(menuID,subsub){
	var s = (subsub) ? "sub" : "";
	var sub = document.all[s+"sub_"+menuID];
	var menu = document.all[s+"m_"+menuID];
	menuXY = FindXY(menu);

	var menuOvershoot = (menuXY.y+sub.offsetHeight)-document.body.offsetHeight;
	if (menuOvershoot>0) sub.style.pixelTop = menuXY.y - (menuOvershoot+20);
	if (sub.style.pixelTop<0) sub.style.pixelTop=0;
}

function NoSub(subsub){
	if (subsub){
		setTimeout('Close("'+subSubShowing+'",true)',100);
		subSubShowing = null;
	}
	setTimeout('Close("'+subShowing+'")',100);
	subShowing = null;
}

function Close(wasShowing,subsub){
	var s = (subsub) ? "sub" : "";
	var sub = document.all[s+"sub_"+wasShowing];
	if (sub && ((subsub && (wasShowing != subSubShowing)) || (!subsub && (wasShowing != subShowing)))){
		if (!allSelects) FindSelects();
		if (allSelects.length>0) ToggleSelects(s+"sub_"+wasShowing,false);
		if (subShowing) ToggleSelects("sub_"+subShowing,true);
		if (subSubShowing) ToggleSelects("subsub_"+subSubShowing,true);
		sub.style.display="none";
		menuID=s+"m_"+wasShowing;
		DeGlow(menuID);
	}
}

function DeGlow(menuID){
	var menu = document.all[menuID].style.backgroundColor="";
}


// *** SELECT-SPECIFIC HACK ********************************************************
var allSelects;

function FindSelects(){
	allSelects = new Array();
	for (i=0;i<document.forms.length;i++){
		for (j=0;j<document.forms[i].elements.length;j++){
			if (document.forms[i].elements[j].type=="select-one" || document.forms[i].elements[j].type=="select-multiple"){
				allSelects[allSelects.length] = document.forms[i].elements[j];
			}
		}
	}
}

function ToggleSelects(objID,hide){
	if (!allSelects) FindSelects();
	if (document.all[objID]){
		objXYWH = FindXYWH(document.all[objID]);
		for (var i=0;i<allSelects.length;i++){
			sel = allSelects[i];
			selXYWH = FindXYWH(sel);
			isects = Intersects(objXYWH,selXYWH);
			if (!hide && isects && sel.style.visibility!="visible") sel.style.visibility="visible";
			if (hide && isects && sel.style.visibility!="hidden") sel.style.visibility="hidden";
		}
	}
}