<p>Rainbow Media Holdings, 
	Inc., a subsidiary of Cablevision Systems Corporation and NBC, has been at 
	the forefront of innovation in cable programming for more than 20 years, 
	consistently delivering high-quality entertainment, sports and news to millions 
	of subscribers around the world. </p>
<p>Rainbow created and manages 
	some of the country's most watched and recognized national cable channels, 
	including: <a href="#">American Movie Classics</a>, <a href="#">Bravo</a>, 
	<a href="#">The Independent Film Channel</a>, <a href="#">Romance Classics</a>, 
	and <a href="#">MuchMusic USA</a>. Rainbow's networks represent three or 
	more of an average cable household's programming choices. Rainbow invented 
	the regional news channel with the launch of News 12 Long Island in 1986. 
	<a href="#">News 12 Networks</a> continue to lead the industry today with 
	24-hour news operations in Long Island, Connecticut, New Jersey, Westchester 
	and the Bronx. Rainbow also has a 20-year history in regional sports programming. 
	Rainbow Sports regional networks telecast in top sports markets in the U.S. 
	including: New York, New England, Ohio, Chicago, Florida, and the San Francisco 
	Bay Area. In 1997, Rainbow partnered with FOX (then FOX/Liberty) to create 
	<a href="#">FOX Sports Net</a>, a new paradigm in sports television. This 
	powerhouse in sports programming delivers the best in regional sporting events 
	on a national platform. </p>
<p>Rainbow owns a majority 
	stake in Madison Square Garden, which includes the Madison Square Garden 
	Arena complex, the New York Knicks, New York Rangers, New York Liberty and 
	New York CityHawks professional sports teams, MSG Network and FOX Sports 
	Net New York. Rainbow also owns Radio City Entertainment and holds a long-term 
	lease on Radio City Music Hall. In addition, Rainbow owns and operates the 
	Rainbow Advertising Sales Corporation (RASCO), the nation's largest regional, 
	network, and spot cable advertising sales firm. </p>
<p>Rainbow recently ushered 
	in the next generation of regional programming with the introduction of the 
	MetroChannels, an unprecedented investment in and commitment to innovative, 
	high-quality local programming. A package of three networks, MetroChannels 
	is dedicated to the experience of living in New York. The channels capture 
	the excess of excitement and stimulation that characterizes the greatest 
	metropolis in the world, and make it all available at the touch of a remote 
	control. </p>
<p>Rainbow is focusing its 
	efforts on transforming its television networks into multiplatform brands, 
	pursuing a two-pronged approach to expansion: first, Rainbow is seeking focused 
	strategic alliances, consistent with its networks' editorial voice; second, 
	the company is creating new types of content in-house and launching brand-related 
	initiatives on new platforms. Bravo and AMC Networks are among the only entertainment-oriented, 
	national broadband content providers today. In 1999, Rainbow entered into 
	a 10-year strategic equity agreement with Salon.com. Later this year, Salon.com 
	will begin rolling out new original television programming based on its Internet 
	content for Bravo, Rainbow's film and arts network. In April, Rainbow and 
	PRIMEDIA's NEW YORK magazine announced the creation of a new media partnership 
	combining the brands and content of NEW YORK magazine and Rainbow's MetroChannels. 
	Together, the companies will create the leading New York-focused Internet 
	destination providing a one-stop, interactive resource for the region. Both 
	the Salon.com and Primedia agreements includes content exchange and development 
	as well as extension of each company's brands onto new platforms and to new 
	audiences. </p>
<p>Rainbow's brands resonate deeply in their respective communities. Geographically 
	or by interest, each network is a reflection of the passion within each community 
	that they serve. Rainbow lives in each world in which we operate, serving 
	those communities relentlessly. Our viewers turn to us first for classic 
	movies, independent film, New York area news, information and entertainment, 
	a guide to romance, home team sports and alternative music.</p>
<p>&nbsp;</p>
<table width="100%" border="0" cellspacing="2" cellpadding="2">
	<tr>
		<td><u><b>Networks</b></u></td>
		<td>&nbsp;</td>
	</tr>
	<tr valign="top"> 
		<td> 
			<p><b>AMC Networks</b></p>
			<ul>
				<li><a href="#">American Movie Classics</a></li>
				<li><a href="#">Romance Classics</a></li>
				<li><a href="#">AMC Amican POP!</a></li>
			</ul>
		</td>
		<td> 
			<p><b>Bravo Networks</b></p>
			<ul>
				<li><a href="#">Overview</a></li>
				<li><a href="#">Executive Team</a></li>
				<li><a href="#">Bravo</a></li>
				<li><a href="#">Bravo International</a></li>
				<li><a href="#">The Independant Film Channel</a></li>
			</ul>
		</td>
	</tr>
	<tr valign="top"> 
		<td> 
			<p><b>Metrochannels</b></p>
			<ul>
				<li><a href="#">Overview</a></li>
				<li><a href="#">Learning</a></li>
				<li><a href="#">Guide</a></li>
			</ul>
		</td>
		<td> 
			<p><b>Muchmusic</b></p>
			<ul>
				<li><a href="#">Overview</a></li>
				<li><a href="#">Facts About Muchmusic</a></li>
			</ul>
		</td>
	</tr>
	<tr valign="top"> 
		<td> 
			<p><b>News 12 Networks</b></p>
			<ul>
				<li><a href="#">Overview</a></li>
				<li><a href="#">Facts About News 12 Networks</a></li>
			</ul>
		</td>
		<td> 
			<p><b>Rainbow Sports</b></p>
			<ul>
				<li><a href="#">Overview</a></li>
				<li><a href="#">Fox Sports Net Bay Area</a></li>
				<li><a href="#">Fox Sports Net Chicago</a></li>
				<li><a href="#">Fox Sports Net Florida</a></li>
				<li><a href="#">Fox Sports Net New England</a></li>
				<li><a href="#">Fox Sports Net New York</a></li>
				<li><a href="#">Fox Sports Net Ohio</a></li>
				<li><a href="#">MSG Network</a></li>
				<li><a href="#">Fox Sports Net</a></li>
				<li><a href="#">MLB Telecast</a></li>
			</ul>
		</td>
	</tr>
</table>
<p>&nbsp;</p>
<p>&nbsp; </p>
